Channel
GET
4 endpoints
/api/v202105/meter/{meterId}/channel/{channelId}/version/{versionId}/udf/{udfId}/download
DownloadChannelVersionCustomFieldFileV202105
Download file for a channel version custom field
/api/v3/channel/{channelId}
Deprecated
GetChannelV3
Retrieves details about a single channel
/api/v202101/meter/{meterId}/channel
GetMeterChannelsV202101
Retrieves all channel and channel versions linked to a meter
/api/v202101/meter/{meterId}/channel/{channelId}
GetMeterChannelV202101
Retrieves a channel and its channel versions linked to a meter
POST
2 endpoints
PUT
2 endpoints
/api/v202101/meter/{meterId}/channel/{channelId}/version/{versionId}
EditChannelVersionV202101
Update a channel version
/api/v202101/meter/{meterId}/channel/{channelId}
EditMeterChannelV202101
Updates a meter's channel
If a channel version exists and is not passed into the request body it will continue to exist and no data will be changed.
To delete a specific channel version call DELETE meter/{meterId}/channel/{channelId}/version/{versionId}
DELETE
2 endpoints
/api/v202101/meter/{meterId}/channel/{channelId}/version/{versionId}
DeleteChannelVersionV202101
Delete a channel version
There must always be one version on a channel
If you try and delete the only version on a channel an exception will occur
/api/v202101/meter/{meterId}/channel/{channelId}
DeleteMeterChannelV202101
Deletes a meter's channel
All readings linked to this channel will also be deleted.
A channel that is part of a distribution cannot be deleted.